Bug 1200015 - foreman_scap_client config file does'nt get configured with policy unless policy is assigned at host level
Summary: foreman_scap_client config file does'nt get configured with policy unless pol...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Shlomi Zadok
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1047797
TreeView+ depends on / blocked
 
Reported: 2015-03-09 14:05 UTC by Kedar Bidarkar
Modified: 2019-04-01 20:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:29:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 9769 0 None None None 2016-04-22 16:41:05 UTC
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Kedar Bidarkar 2015-03-09 14:05:17 UTC
Description of problem:
foreman_scap_client config file doesn't get configured with policy unless it is assigned at host level.

1) Create a OSCAP policy and assign it to Host-Group.
2) Register a client/host with the sat6 as puppet client. [ requires 'puppet agent -t' run for this Host to be visible under satellite6. ]
3) After the HOST is visible, Now we need to update the Host, with
a) a Host-Group
b) Puppet-Environment
4) Now running the 'puppet agent -t' on the Host, configures the foreman_scap_client config file with port and server info only,

5) but not the policy info unless we assign the policy to the "Hosts" using the "Select Action" button and choosing the "Assign Compliance policy" option.

6) Having associated OSCAP policy to Host-group, step 5) shouldn't be required.

Version-Release number of selected component (if applicable):
sat6.1 beta snap5

How reproducible:


Steps to Reproduce:
1. as mentioned in description.
2.
3.

Actual results:
policy info doesn't get configured for foreman_scap_client config file unless we assign the oscap policy to the "Hosts" using the "Select Action" button and choosing the "Assign Compliance policy" option.

Expected results:
Assigning the oscap policy to Host-Group and assigning Host-group to Host, should be enough.

Additional info:

Comment 2 Šimon Lukašík 2015-03-10 13:55:18 UTC
Good catch. I think that's due to bad query when composing host enc yaml.

Comment 3 Shlomi Zadok 2015-03-15 13:56:24 UTC
proposed upstream fix: https://github.com/OpenSCAP/foreman_openscap/pull/93
(good catch!)

Comment 4 Shlomi Zadok 2015-03-15 15:15:21 UTC
Created redmine issue http://projects.theforeman.org/issues/9769 from this bug

Comment 6 Shlomi Zadok 2015-03-19 09:45:17 UTC
Upstream merged. slukasik is releasing a new version.

Comment 9 Kedar Bidarkar 2015-03-27 12:16:27 UTC
Tried with Satellite-6.1.0-RHEL-7-20150324.0/snap8 and I am facing the same issue.

Comment 12 Kedar Bidarkar 2015-04-02 13:11:48 UTC
VERIFIED with Sat6.1 Beta RC3 build.

Comment 13 Bryan Kearney 2015-08-11 13:19:45 UTC
This bug is slated to be released with Satellite 6.1.

Comment 14 errata-xmlrpc 2015-08-12 05:29:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.